import dashjs from 'dashjs';
import style from './player.styl';

// Nonce used by Webpack for CSP
// eslint-disable-next-line
const __webpack_nonce__ = 'uGo4I9ydb2hP393boc/24Vu7diUk/Mf84w9khcZkynk=';

window.addEventListener('load', () => {
  const playerContainer = document.createElement('video');
  playerContainer.classList.add(style.video);

  // calculate start time
  const date = new Date();
  const localTime = date.getTime() - (1000 * 60 * date.getTimezoneOffset());
  const secondsOfDay = (localTime % (1000 * 60 * 60 * 24)) / 1000;

  // initialize video
  const player = dashjs.MediaPlayer().create();
  const url = `video/clock.mpd#s=${secondsOfDay}`;
  const autoplay = true;
  player.initialize(playerContainer, url, autoplay);

  document.body.appendChild(playerContainer);
});
